<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="GetCustomers">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="startRowIndex" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="maximumRows" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="sortExpression" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="filterExpression" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="groupExpression" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCustomersResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetCustomersResult" type="tns:ResultDataOfCustomer" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ResultDataOfCustomer">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Count" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Data" type="tns:ArrayOfCustomer" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfCustomer">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Customer" nillable="true" type="tns:Customer" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Customer">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="CustomerID" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CompanyName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ContactName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ContactTitle" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Address" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="City" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Region" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="PostalCode" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Country" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Phone" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Fax" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetDistinctValues">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="fieldName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDistinctValuesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDistinctValuesResult" type="tns:ArrayOfAnyType" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfAnyType">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="anyType" nillable="true" />
        </s:sequence>
      </s:complexType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetCustomersSoapIn">
    <wsdl:part name="parameters" element="tns:GetCustomers" />
  </wsdl:message>
  <wsdl:message name="GetCustomersSoapOut">
    <wsdl:part name="parameters" element="tns:GetCustomersResponse" />
  </wsdl:message>
  <wsdl:message name="GetDistinctValuesSoapIn">
    <wsdl:part name="parameters" element="tns:GetDistinctValues" />
  </wsdl:message>
  <wsdl:message name="GetDistinctValuesSoapOut">
    <wsdl:part name="parameters" element="tns:GetDistinctValuesResponse" />
  </wsdl:message>
  <wsdl:portType name="NorthwindServiceSoap">
    <wsdl:operation name="GetCustomers">
      <wsdl:input message="tns:GetCustomersSoapIn" />
      <wsdl:output message="tns:GetCustomersSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDistinctValues">
      <wsdl:input message="tns:GetDistinctValuesSoapIn" />
      <wsdl:output message="tns:GetDistinctValuesSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="NorthwindServiceSoap" type="tns:NorthwindServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetCustomers">
      <soap:operation soapAction="http://tempuri.org/GetCustomers" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDistinctValues">
      <soap:operation soapAction="http://tempuri.org/GetDistinctValues" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="NorthwindServiceSoap12" type="tns:NorthwindServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetCustomers">
      <soap12:operation soapAction="http://tempuri.org/GetCustomers" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDistinctValues">
      <soap12:operation soapAction="http://tempuri.org/GetDistinctValues" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="NorthwindService">
    <wsdl:port name="NorthwindServiceSoap" binding="tns:NorthwindServiceSoap">
      <soap:address location="http://localhost:33380/NorthwindService.asmx" />
    </wsdl:port>
    <wsdl:port name="NorthwindServiceSoap12" binding="tns:NorthwindServiceSoap12">
      <soap12:address location="http://localhost:33380/NorthwindService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>